Bullet Collision Detection & Physics Library: btMultiBodyLinkDoubleData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btMultiBodyLinkDoubleData Struct Reference

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyLinkDoubleData:
[legend]

## Public Attributes
btQuaternionDoubleData | m_zeroRotParentToThis
btVector3DoubleData | m_parentComToThisComOffset
btVector3DoubleData | m_thisPivotToThisComOffset
btVector3DoubleData | m_jointAxisTop [6]
btVector3DoubleData | m_jointAxisBottom [6]
btVector3DoubleData | m_linkInertia
double | m_linkMass
int | m_parentIndex
int | m_jointType
int | m_dofCount
int | m_posVarCount
double | m_jointPos [7]
double | m_jointVel [6]
double | m_jointTorque [6]
double | m_jointDamping
double | m_jointFriction
char * | m_linkName
char * | m_jointName
btCollisionObjectDoubleData * | m_linkCollider
char * | m_paddingPtr

## Detailed Description

Definition at line 710 of file btMultiBody.h.

## Member Data Documentation

## § m_dofCount

int btMultiBodyLinkDoubleData::m_dofCount

Definition at line 723 of file btMultiBody.h.

## § m_jointAxisBottom

btVector3DoubleData btMultiBodyLinkDoubleData::m_jointAxisBottom[6]

Definition at line 716 of file btMultiBody.h.

## § m_jointAxisTop

btVector3DoubleData btMultiBodyLinkDoubleData::m_jointAxisTop[6]

Definition at line 715 of file btMultiBody.h.

## § m_jointDamping

double btMultiBodyLinkDoubleData::m_jointDamping

Definition at line 729 of file btMultiBody.h.

## § m_jointFriction

double btMultiBodyLinkDoubleData::m_jointFriction

Definition at line 730 of file btMultiBody.h.

## § m_jointName

char* btMultiBodyLinkDoubleData::m_jointName

Definition at line 733 of file btMultiBody.h.

## § m_jointPos

double btMultiBodyLinkDoubleData::m_jointPos[7]

Definition at line 725 of file btMultiBody.h.

## § m_jointTorque

double btMultiBodyLinkDoubleData::m_jointTorque[6]

Definition at line 727 of file btMultiBody.h.

## § m_jointType

int btMultiBodyLinkDoubleData::m_jointType

Definition at line 721 of file btMultiBody.h.

## § m_jointVel

double btMultiBodyLinkDoubleData::m_jointVel[6]

Definition at line 726 of file btMultiBody.h.

## § m_linkCollider

btCollisionObjectDoubleData* btMultiBodyLinkDoubleData::m_linkCollider

Definition at line 734 of file btMultiBody.h.

## § m_linkInertia

btVector3DoubleData btMultiBodyLinkDoubleData::m_linkInertia

Definition at line 718 of file btMultiBody.h.

## § m_linkMass

double btMultiBodyLinkDoubleData::m_linkMass

Definition at line 719 of file btMultiBody.h.

## § m_linkName

char* btMultiBodyLinkDoubleData::m_linkName

Definition at line 732 of file btMultiBody.h.

## § m_paddingPtr

char* btMultiBodyLinkDoubleData::m_paddingPtr

Definition at line 735 of file btMultiBody.h.

## § m_parentComToThisComOffset

btVector3DoubleData btMultiBodyLinkDoubleData::m_parentComToThisComOffset

Definition at line 713 of file btMultiBody.h.

## § m_parentIndex

int btMultiBodyLinkDoubleData::m_parentIndex

Definition at line 720 of file btMultiBody.h.

## § m_posVarCount

int btMultiBodyLinkDoubleData::m_posVarCount

Definition at line 724 of file btMultiBody.h.

## § m_thisPivotToThisComOffset

btVector3DoubleData btMultiBodyLinkDoubleData::m_thisPivotToThisComOffset

Definition at line 714 of file btMultiBody.h.

## § m_zeroRotParentToThis

btQuaternionDoubleData btMultiBodyLinkDoubleData::m_zeroRotParentToThis

Definition at line 712 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h